ory_oathkeeper_client 0.0.0
ory_oathkeeper_client: ^0.0.0 copied to clipboard

OpenAPI API client

ory_oathkeeper_client #

ORY Oathkeeper is a reverse proxy that checks the HTTP Authorization for validity against a set of rules. This service uses Hydra to validate access tokens and policies.

This Dart package is automatically generated by the OpenAPI Generator project:

  • API version: v0.0.0
  • Build package: org.openapitools.codegen.languages.DartClientCodegen For more information, please visit https://www.ory.am

Requirements #

Dart 2.0 or later

Installation & Usage #

Github #

If this Dart package is published to Github, add the following dependency to your pubspec.yaml

dependencies:
  ory_oathkeeper_client:
    git: https://github.com/ory/sdk.git

Local #

To use the package in your local drive, add the following dependency to your pubspec.yaml

dependencies:
  ory_oathkeeper_client:
    path: /path/to/ory_oathkeeper_client

Tests #

TODO

Getting Started #

Please follow the installation procedure and then run the following:

import 'package:ory_oathkeeper_client/api.dart';


final api_instance = ApiApi();

try {
    api_instance.decisions();
} catch (e) {
    print('Exception when calling ApiApi->decisions: $e\n');
}

Documentation for API Endpoints #

All URIs are relative to http://localhost

ClassMethodHTTP requestDescription
ApiApidecisionsGET /decisionsAccess Control Decision API
ApiApigetRuleGET /rules/{id}Retrieve a rule
ApiApigetVersionGET /versionGet service version
ApiApigetWellKnownJSONWebKeysGET /.well-known/jwks.jsonLists cryptographic keys
ApiApiisInstanceAliveGET /health/aliveCheck alive status
ApiApiisInstanceReadyGET /health/readyCheck readiness status
ApiApilistRulesGET /rulesList all rules

Documentation For Models #

Documentation For Authorization #

All endpoints do not require authorization.

Author #

hi@ory.am

0
likes
35
pub points
0%
popularity

Publisher

ory.sh

OpenAPI API client

Homepage

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

http, intl, meta

More

Packages that depend on ory_oathkeeper_client